Index: locker/update-system/bin/build-update
===================================================================
--- locker/update-system/bin/build-update	(revision 692)
+++ locker/update-system/bin/build-update	(revision 693)
@@ -127,5 +127,5 @@
 [ "$found" = "yes" ] || die "error: Correct version not found."
 xargs -n1 test ! -e <"$patchdir/oldfiles.absent" || die "error: Conflicting files exist."
-md5sum -c "$patchdir/check.md5" || die "error: MD5 check failed."
+[ -s "$patchdir/check.md5" ] && (md5sum -c "$patchdir/check.md5" || die "error: MD5 check failed.")
 patch -stN --dry-run --no-backup-if-mismatch -p2 <"$patchdir/update.diff" || die "error: Patch dry run failed."
 
